/*
 * MosP - Mind Open Source Project         http://www.mosp.jp/
 * Copyright (C) 1987-2008 MIND Co., Ltd.  http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.kintai.action;

import jp.mosp.kintai.vo.ScheduleMenuVo;

public class ScheduleMenuAction extends AttendanceTotalAction {

	// コマンド定数
	//public static final String CMD_SHOW = "K1200";

	/**
	 * コンストラクタ
	 */
	public ScheduleMenuAction() {
		super();
	}

	/**
	 * アクション
	 */
	public void action() throws Exception {
		// セッション保持情報の除去
		initStoredData();
		// VOの初期化
		ScheduleMenuVo vo = new ScheduleMenuVo();
		vo.initVo(cfg, msg, cmd, aspUser, user);
		// VO及びフォワード先URLの設定
		setVo(vo);
		setUrl(vo.getRetUrl());
	}

}
